# DataExchange
TKVRML
Vrml

# Vrml_TransformSeparator Class Reference

defines a TransformSeparator node of VRML specifying group properties.
This group node is similar to separator node in that it saves state
before traversing its children and restores it afterwards.
This node can be used to isolate transformations to light sources
or objects.

`#include <Vrml_TransformSeparator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_TransformSeparator ()
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream)

## Private Attributes

Standard_Boolean | myFlagPrint

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_TransformSeparator::Vrml_TransformSeparator | ( |  | ) |

## Member Function Documentation

void Vrml_TransformSeparator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_TransformSeparator::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_TransformSeparator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_TransformSeparator::Print | ( | Standard_OStream & | anOStream | ) |

## Field Documentation

Standard_Boolean Vrml_TransformSeparator::myFlagPrint `[private]`

The documentation for this class was generated from the following file:

- Vrml_TransformSeparator.hxx